--
-- RemoveTeleportButtons
--
-- @author  Vilkas
-- @date    02/12/2021

RemoveTeleportButtons = {
	info = {
        Author = "Vilkas",
        buildID = "22012020:2230.47.A",
        title = " RemoveTeleportButtons",
        notes = " Remove Teleport Buttons in IngameMenu",
        date = " 02.12.2021",
	}
};


function RemoveTeleportButtons:loadMap(mapFilename)
	InGameMenuMapFrame.onClickVisitPlace = function() return; end;
	InGameMenuMapFrame.onClickEnterVehicle = function() return; end;
    
    g_currentMission.inGameMenu.pageMapOverview.buttonVisitPlace:setDisabled(true);
    g_currentMission.inGameMenu.pageMapOverview.buttonEnterVehicle:setDisabled(true);
end;

addModEventListener(RemoveTeleportButtons);